Subject: bug#49233: closed (Re: bug#49233: gmnisrv: missing mime.types)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Jul 2021 21:22:02 +0000

Your bug report

#49233: gmnisrv: missing mime.types

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49233: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49233
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49233: gmnisrv: missing mime.types
From: Arun Isaac <[email-masked]>
To: Christopher Howard <[email-masked]>, Sarah Morgensen <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Jul 2021 02:51:11 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I believe commits b459c39adb725822916a8e21ee250fb408d2e2f8 and
e17f063627f826b4dd0dda77ede48fc7a535414b address this issue. So, closing
this issue.

Thanks,
Arun

Subject: gmnisrv: missing mime.types
From: Christopher Howard <[email-masked]>
To: Guix Bug Reports <[email-masked]>
Date: Sat, 26 Jun 2021 06:02:26 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I am trying to use the gmnisrv service as described in the Guix
manual, using the default configuration:

 (services
  (append
   (list (service gmnisrv-service-type)
	 (service openssh-service-type)
	 (service network-manager-service-type)
	 (service wpa-supplicant-service-type))
   %base-services))

However, gmnisrv keeps dying with this error:

gmnisrv: src/mime.c:37: mime_init: Assertion `0' failed.
Unable to open MIME database for reading: No such file or directory
Is /etc/mime.types installed?

Is the gmnisrv package or service missing a dependency that is supposed to provide the mime.types file, or am I supposed to copy one from somewhere?

My system information:

christopher@galadriel ~$ neofetch --stdout
christopher@galadriel 
--------------------- 
OS: Guix System b36267b1d96ac344d2b42c9822ce04b4c3117f85 x86_64 
Host: OptiPlex 7010 01 
Kernel: 5.12.13-gnu 
Uptime: 24 mins 
Packages: 51 (guix-system), 35 (guix-user) 
Shell: bash 5.0.16 
Terminal: /dev/pts/0 
CPU: Intel i5-3570 (4) @ 3.800GHz 
GPU: Intel HD Graphics 
Memory: 93MiB / 15929MiB 

-- 
Christopher Howard
blog: https://librehacker.com
social: https://gnusocial.club/librehacker